Page MenuHomePhabricator

Nested collapsible tables' [show] links should not change to [hide] when opening the outer collapsible table
Closed, ResolvedPublic

Description

If the user opens a collapsed element, all [show] links in the element change to [hide], including the toggle links of nested collapsible elements (code; example—try to close and reopen the outer navbox). It's very confusing as it seems like the nested table has no content. Nested collapsible elements should be excluded from the jQuery selection.

Example: https://en.wikipedia.org/wiki/User:Jdlrobson/T186978

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 22 2017, 9:27 PM

This seems to be about the Template:Navbox which invokes Module:Navbox?
(Wondering myself: Is this actually part of some MediaWiki code repository, or is that code which is entirely maintained on-wiki only?)

This particular template uses {{navbox}} (which doesn't use Lua on huwiki yet), but looking at the code, it should effect any other collapsible elements using mw-collapsible class (MediaWiki core).

Jc86035 triaged this task as Medium priority.Aug 12 2017, 6:26 AM
Jc86035 edited projects, added MediaWiki-Interface; removed MediaWiki-General.

Change 431984 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/core@master] makeCollapsible: fix state of nested collapsibles

https://gerrit.wikimedia.org/r/431984

TheDJ added a subscriber: TheDJ.May 8 2018, 8:47 PM

Change 431984 merged by jenkins-bot:
[mediawiki/core@master] makeCollapsible: fix state of nested collapsibles

https://gerrit.wikimedia.org/r/431984

Change 433621 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/core@master] makeCollapsible: Add test for nested collapsibles

https://gerrit.wikimedia.org/r/433621

Change 433621 merged by jenkins-bot:
[mediawiki/core@master] makeCollapsible: Add test for nested collapsibles

https://gerrit.wikimedia.org/r/433621

TheDJ closed this task as Resolved.May 18 2018, 5:49 PM
TheDJ claimed this task.
TheDJ removed a project: Patch-For-Review.